Subject: [bug#66480] [PATCH gnome-team WIP 0/2] Update WebkitGTK

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 12 Oct 2023 18:37:32 +0200

Am Donnerstag, dem 12.10.2023 um 10:29 -0400 schrieb Maxim Cournoyer:
> Hello,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Hi Guix,
> > 
> > our Webkit is a tad bit out of date, so let's at least update it on
> > the gnome-team branch.  Also, since we have a Webkit 6.0 typelib
> > now, let's make it the default Webkit for everyone.  What could go
> > wrong?
> > 
> > (hopefully this won't go like <https://qa.guix.gnu.org/issue/66019>
> > where the CI refused to compute stuff)
> > 
> > Liliana Marie Prikler (2):
> >   gnu: webkitgtk: Update to 2.42.1.
> >   gnu: Make webkitgtk-next the new webkitgtk.
> 
> I'm not too sure what Webkit 'typelib' means, but at any rate this
> looks reasonable to me (series LGTM).
Put shortly, typelibs are annotated "C" libraries that you can use from
many languages by consuming XML or reading a particularly formatted
binary file.  (See also gobject-introspection.)

Basically, the move to Webkit 6.0 means that the GTK4 port of Webkit is
now considered stable (6.0 means GTK, 5.x was GTK4 before, 4.1 is
libsoup3, and 4.0 is libsoup2).  Apparently, you can't really version-
bump your dependencies without version-bumping your typelib so that
downstream doesn't suddenly get hit by some API instability.

Cheers